#include <iostream>

using namespace std;
int najveciBroj(int A,int B,int C)
{
    int a=1,b=1,c=1,x=A,y=B,z=C,p,p1;
    while(A>9)
    {
        a++;
        A=A/10;
    }
    while(B>9)
    {
        b++;
        B=B/10;
    }
    while(C>9)
    {
        c++;
        C=C/10;
    }
    if(A<B)
    {
        p=x;
        x=y;
        y=p;
        p1=a;
        a=b;
        b=p1;
    }
    if(A<C)
    {
        p=x;
        x=z;
        z=p;
        p1=a;
        a=c;
        c=p1;
    }
    if(B<C)
    {
        p=y;
        y=z;
        z=p;
        p1=b;
        b=c;
        c=p1;
    }
    for(int i=0;i<b;i++)
    {
        x=x*10;
    }
    x=x+y;
    for(int i=0;i<c;i++)
    {
        x=x*10;
    }
    x=x+z;
    return x;
}
int main()
{
  int A,B,C,rez;
  cin>>A>>B>>C;
  rez=najveciBroj(A,B,C);
  cout<<rez<<endl;
  return 0;
}